Robotsystem from Robot Group Leipzig: AngularMotor3AxisEuler Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# AngularMotor3AxisEuler Class Reference

`#include <angularmotor.h>`

Inheritance diagram for AngularMotor3AxisEuler:

[legend]
Collaboration diagram for AngularMotor3AxisEuler:

[legend]
List of all members.

## Detailed Description

Angular motor for Ball Joints with Euler control.

Definition at line 157 of file angularmotor.h.

## Public Member Functions
| AngularMotor3AxisEuler (const OdeHandle &odeHandle, BallJoint *joint, const Axis &axis1, const Axis &axis3, double power)
| Constuct a motor attached to a BallJoint.
virtual int | getNumberOfAxes ()
| returns the number of Axis of this Motor
virtual void | set (int axisNumber, double velocity)
| sets the desired speed of the motor at the given axis.
virtual double | get (int axisNumber)
| returns the speed (PositionRate) at the given axis, or zero if the axis is out of range
virtual void | setPower (double power)
| sets the maximal force the motor has
## Protected Attributes
BallJoint * | joint

## Constructor & Destructor Documentation

AngularMotor3AxisEuler | ( | const OdeHandle & | odeHandle,
|  | BallJoint * | joint,
|  | const Axis & | axis1,
|  | const Axis & | axis3,
|  | double | power
| ) |

  | Constuct a motor attached to a BallJoint. Parameters:
  | axis1 | axis relative to body 1
  | axis3 | axis relative to body 2 (must be perpendicular to axis1 (the axis 2 is calculated automatically)
  | power | The maximum force or torque that the motor will use to achieve the desired velocity. This must always be greater than or equal to zero. Setting this to zero (the default value) turns off the motor.
Definition at line 303 of file angularmotor.cpp.

## Member Function Documentation

double get | ( | int | axisNumber | ) | `[virtual]`

| returns the speed (PositionRate) at the given axis, or zero if the axis is out of range Implements AngularMotor. Definition at line 342 of file angularmotor.cpp.

virtual int getNumberOfAxes | ( |  | ) | `[inline, virtual]`

| returns the number of Axis of this Motor Implements AngularMotor. Definition at line 171 of file angularmotor.h.

void set | ( | int | axisNumber,
|  | double | velocity
| ) | `[virtual]`

  | sets the desired speed of the motor at the given axis. Parameters:
  | axisNumber | either 0 or 1
  | velocity | Desired motor velocity (this will be an angular or linear velocity).
Implements AngularMotor. Definition at line 323 of file angularmotor.cpp.

void setPower | ( | double | power | ) | `[virtual]`

| sets the maximal force the motor has Implements AngularMotor. Definition at line 357 of file angularmotor.cpp.

## Member Data Documentation

BallJoint* joint`[protected]`

| Definition at line 186 of file angularmotor.h.